/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package FacilityMgmt.FacilityMaintenance;

import java.util.Date;
import java.util.Vector;
import java.math.BigDecimal;
import ProjActMgmt.ProjActRequest.ProjectActivityReqDetail;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval */
public class FacilityMaintRequest {
    public void makeFacilityMaintRequest() {
    }

    public void scheduleMaintenance() {
    }

    public FacilityMaintenance mi_generateFacilityMaintenance() {
        return new FacilityMaintenance();
    }

    public boolean mi_isFulfilled() {
        return false;
    }

    public BigDecimal mi_estimatePercentComplete() {
        return new BigDecimal(0);
    }

    public Vector mi_assessCompletionTimeliness() {
        return new Vector();
    }

    public Vector mi_assessMaintRequestToMaintenance() {
        return new Vector();
    }

    public static Vector listFacilityWorkOrders() {
        return new Vector();
    }

    private String number;
    private Date date;
    private Date dueDate;
    private Date dateCompleted;
    private int priority;
    private BigDecimal cost;
    private int status;

    /**
     * @supplierCardinality 0..1
     * @clientCardinality 0..*
     */
    private ProjectActivityReqDetail lnkUnnamed;
}


